# Settings
## Overview
Settings  provides a friendly graphic interface to set the system. As shown in Fig 1.

![Fig 1 Ukui Control Center-big](image/1.png)
<br>

## System
### Display
As shown in Fig 2.

![Fig 2 Display-big](image/2.png)

- monitor：Select current monitor.

- resolution, orientation, refresh rate, screen zoom are all for the current active monitor.

- screen zoom to global zoom.

- night mode has the functions of adjusting color temperature and customizing the night mode time period.

### Audio
As shown in Fig 3.

![Fig 3 Audio-big](image/3.png)

### Power
As shown in Fig 4.

![Fig 4 Power-big](image/4.png)
- In general settings, you can set the system wake-up function and set the time when the system enters sleep and other operations
- In the power plan, select different modes corresponding to different system performance consumption
- In the battery energy saving plan, select the corresponding options to achieve the battery energy saving effect

### Notice
As shown in Fig 5.

![Fig 5 Notice-big](image/5.png)

### Vino
As shown in Fig 6.

![Fig 6 Vino](image/6.png)

### About
As shown in Fig 4.

![Fig 7 About-big](image/7.png)

<br>

## Devices
### Bluetooth
The Bluetooth module provides the visibility of switching on and off Bluetooth, modifying Bluetooth name, displaying and hiding Bluetooth task icons, and automatically discovering surrounding Bluetooth devices and local devices; The basic functions of pairing, connecting, disconnecting, removing Bluetooth devices , file transfer with the discovered Bluetooth devices , Automatically discover Bluetooth audio devices and The connected device has been renamed. Procedure are shown in the figure.

-Switch on and off Bluetooth: click the Bluetooth on button to turn on and off the Bluetooth adapter of this machine

-Modify Bluetooth name: click the mouse on the "Modify icon" or "Bluetooth name", and enter the desired name in the pop-up input box

-Show and hide the Bluetooth taskbar icon: click the button to show or not show the Bluetooth icon on the tray

-Bluetooth device classification: select the Bluetooth device type and type options (all, audio device, keyboard and mouse device, computer, mobile phone, other) displayed by selecting the drop-down box

-Basic operation of discovered Bluetooth device: single click  the discovered Bluetooth device to perform connection . The option to disconnection,remove and send files needs to be opened through the Bluetooth device settings option (note: some Bluetooth devices/models have no option to send files)

-Automatic discovery of Bluetooth audio devices: When the function switch of automatic discovery of Bluetooth audio devices is turned on, the Bluetooth service will start to detect the audio devices in the surrounding 3m, and if the detection meets the conditions, the user will be prompted whether to connect; If the function switch is off, it will not be processed

-Connected device renaming: Provides the local renaming function for connected devices

![Fig 8 Bluetooth-big](image/bluetooth.png)

### Printer
Provide an entry to add printers or scanners. 

![Fig 9 Printer-big](image/9.png)

### Mouse
As shown in Fig mouse.

![Fig mouse Mouse-big](image/mouse.png)

### Touchpad
As shown in Fig touchpad.

![Fig touchpad Touchpad-big](image/touchpad.png)

### TouchScreen

The system supports multi-tasking, multi-scene desktop touch interaction, if your device supports touch function, you can use a variety of touch gestures for desktop operation.

The touch screen, also known as the "touch screen" and "touch panel", uses standard gestures to touch the symbols or text on the computer display to achieve interaction with the desktop.

![Fig TouchScreen-big](image/touchscreen-gesture.png)

The basic touchscreen gesture interactions are as follows:

- Click: Touch your finger to trigger functions such as selecting objects, opening menu bars, executing button commands, and more

- Double tap: Finger quickly tap twice to touch the device to trigger functions such as: open desktop app, open folder/file, select text, etc

- Long press: Long press and hold your finger on an element to trigger functions, such as: display pop-up menu bar, right-click menu bar, multi-select, select text, etc

- Swipe: Swipe to continuously scroll through lists and pages, switch pages/objects, swipe to adjust slider values

- Drag: Move object position, or drag for batch operations, such as: move windows/files, check icons/text, etc

- Pinch : Press and hold the screen with two fingers to expand outward to zoom in on content, and pinch inward to zoom out content, e.g. web pages, images

Note: If your device does not have this feature and does not have an external touchscreen, the settings for the touchscreen will not be displayed in the Control Panel.

### Keyboard
As shown in Fig keyboard.

![Fig keyboard Keyboard-big](image/keyboard.png)

### Shortcut
As shown in Fig 13.

![Fig 13 Shortcut-big](image/13.png)

### Projection
Projection is a software that is allowed to be projected by mobile phones and other Kylin-OS and can be projected to other Kylin OS in Kylin OS desktop environment. It is divided into two parts: receiving terminal and sending terminal. The main interface is shown in Figure.

 ![Fig 14-1 Projection main interface-big](image/mainInterface.png)

 The function buttons at the receiving terminal are in the upper part of the main interface, from top to bottom:

1) Receiving terminal on / off button: after the button is turned on, the current Kylin-OS device can be searched by mobile phone device or other Kylin-OS devices.

2) PIN code function on / off button: after the button is turned on, the PIN code needs to be entered during connection.

 ![Fig 14-2 Enter PIN code interface-big](image/PINCodeinterface.png)

 ![Fig 14-3 Without PIN code interface-big](image/withoutPINCodeinterface.png)

3) Historical device show / hide button: when the button arrow points down, you can see the relevant devices connected to the current Kylin-OS device.

 ![Fig 14-4 Historical device interface-big](image/deviceInterface.png)

The function buttons at the sending terminal are in the lower part of the main interface, including: 

Receiving terminal on / off button: this button is mutually exclusive with the sending terminal on / off button. When the receiving terminal on / off button is turned on, the receiving terminal on / off button needs to be turned off before the sending terminal on / off button can be turned on (the same is true for the receiving terminal turn on / off button). After opening this button, click Find device to pop up the search window, in which the searchable Kylin-OS device at the receiving terminal will be displayed.

 Connection process between mobile phone and Kylin-OS:

1) Open the receiving terminal on / off button (close the sending terminal on / off button first).

2) The mobile phone drop-down menu opens the projection (or mobile phone projection / multi screen collaboration).

 ![Fig 14-5 Phone open projection interface-big](image/phoneOpenProjectionInterface.png)

3) Select the Kylin-OS device to be projected in the mobile search device list.

 ![Fig 14-6 Phone search device interface-big](image/phoneSearchInterface.png)

4) Connect (there are two types: PIN code required and PIN code not required).

![Fig 14-7 Phone enter pin code interface-big](image/phonePINcodeInterface.png)

5) Select the mobile phone model (currently divided into Huawei, Xiaomi and others).

 ![Fig 14-8 Select phone model interface-big](image/chooseTypeInterface.png)

6) Projection interface: the mobile phone screen is displayed in the center of the interface. There are 5 buttons on the right side of the interface, from top to bottom: soft / hard decoding switching button; Full screen / window switching button; Return to parent directory button; Return to the main interface button; Display the application process button;

 ![Fig 14-9 Receiving terminal projection interface-big](image/receiverConnectInterface.png)

Kylin-OS and Kylin-OS connection process:

1) Open the on / off button at the sending terminal (close the on / off button at the receiving terminal in advance).

2) Click the search device on the left side of the switch button;

 ![Fig 14-10 Find device interface-big](image/searchDeviceInterface.png)

3) In the pop-up search window, select the Kylin-OS device to project to.

 ![Fig 14-11 Choose device interface-big](image/chooseDevice.png)

4) Projection interface.

 ![Fig 14-12 Sending terminal projection interface-big](image/senderConnectInterface.png)

**FAQ**

1. If the projection is unsuccessful, you can try to connect again, and the device connected once will be automatically recorded in the history device.

2. Kylin OS and some phones support the control return function (that is, the receiving terminal can indirectly affect the sending terminal by operating the mouse or keyboard).

3. At present only some Huawei phones and Xiaomi phones support Android three button function (the last three buttons on the interface on the right side of the screen). For other models, clicking these buttons may cause unknown problems.

4. The system will use soft decoding by default. At this time, you can manually switch to hard decoding (use hardware to decode video, reduce CPU occupation, and need hardware support).

5. The name of the receiving device can be changed in the screen projection interface. Click the "pen" icon on the right side of the projection screen to enter the modification interface.

![Fig 14-9 Sending terminal name modification interface-big](image/nameChangeInterface.png)

6. When the wireless network card is not inserted, or the wireless network card does not support the connection required for projection, it is necessary to insert the network card or replace the inserted network card.

![Fig 14-10 Projection function unavailable interface-big](image/unUseInterface.png)

7. When the package with wireless projection is not installed or the package version is too low, the projection function will not be displayed in the control panel.

8. When used as the sending terminal, it does not support projecting to the receiving terminal of SP1 version.

<br>

## Network
### WiredConnect
As shown in Fig 15.

![Fig 15 WiredConnect-big](image/37.png)

### WlanConnect
As shown in Fig 16.

![Fig 16 WlanConnect-big](image/38.png)

### Proxy
System Proxy, application Proxy and APT Proxy can be set.

![Fig 17 Proxy-big](image/14.png)

- System Proxy You can choose automatic proxy or manual proxy. Manual proxy includes HTTP, HTTPS, SOCKS, and FTP proxy.
- Application Proxy You can select the application and use the specified proxy to access the network.
- Enable APT Proxy to download and update applications in the software Store through the set proxy server.

### Vpn
As shown in Fig 18.

![Fig 18 Vpn-big](image/15.png)

### MobileHotspot
As shown in Fig 19.

![Fig 19 MobileHotspot-big](image/39.png)

<br>

## Personalized
### Background
As shown in Fig 20.

![Fig 20 Background-big](image/16.png)

### Theme
- Theme Mode:

![Fig 21-1 Theme mode](image/17.png)

- Icon theme and cursor theme:

![Fig 21-2 Icon&cursor theme](image/18.png)

- Effect settings (some machines do not support this function):

![Fig 21-3 Effect settings](image/19.png)

### Screenlock
As shown in Fig 22.

![Fig 22 Screenlock-big](image/20.png)

### Screensaver
As shown in Fig 23.

![Fig 23 Screensaver-big](image/21.png)

### Fonts
As shown in Fig 24.

![Fig 24 Fonts-big](image/22.png)

<br>

## Account
### User Info
![Fig 25-1 Account-big](image/23.png)
#### Current User
- Change User Face: Click user's face can change it.

![Fig 25-2 Change face](image/24.png)

- Change Password: Click "Password" to modify the current user's password.

![Fig 25-3 Change password](image/25.png)

- Change Account Type: administrator -- can elevated permission temporarily; standard user -- can't elevated permission.

![Fig 25-4 Change password](image/26.png)

#### Other Users
Administrator can modify other user's information, add new user, etc..

- Add new user

![Fig 25-5 Add new user](image/27.png)

### Login Options
As shown in Fig 26.

![Fig 26 Login Options-big](image/40.png)

### Cloud Account
Synchronize personalized settings and data, and this function needs to sign in.

![Fig 27 Cloud account-big](image/28.png)

#### Sign In
Login through Kylin ID login Center.

#### Synchronizable Items
- Desktop wallpaper

- Screensaver: wallpaper and idle time

- Fonts

- User's face

- The settings in control center, such as start menu, taskbar, theme, etc.

- The settings of pluma, kylin weather, peony, terminal, kylin video.

#### Tips
1) When opening the cloud account first time, it will synchronize once by default. If the cloud exists configuration files, it will download them and sync to local; Otherwise, the local configuration files will be uploaded to the cloud.

2) After login, if the automatic synchronization is opened, the cloud will synchronize the local configurations every 5 minutes. And they can be used by different machines, different users.

3) If the automatic synchronization is closed, all the cloud configurations will keep the last upload status.

4) The automatic synchronization for the single item is the similar effects.

<br>

## Datetime
### Date
As shown in Fig 28:

![Fig 28 Datetime-big](image/29.png)

### Area
As shown in Fig 29:

![Fig 29 Area-big](image/30.png)

<br>

## Update Operation

In update configuration, you can configure backup and update.

-Click start backup to automatically open our Kirin backup and restore tool for system content backup.
-Click Detect update to automatically open our Kirin update manager to obtain the updated content.


![Fig 30 Backup-big](image/31.png)

![Fig 31 Upgrade-big](image/32.png)

<br>

## Touchscreen Calibration

In the "Touch Calibration" setting, your touch device, display and touch logo are displayed. You can select the display and touch logo and click Touch Calibration to calibrate the touch screen.

![Fig 32 touchscreen calibration-big](image/calibration1_en.png)

![Fig 33 calibrating touchscreen-big](image/calibration2_en.png)

<br>

<br>

## Application
### Auto Boot 
As shown in Fig 34:

![Fig 34 Autoboot-big](image/34.png)

### Default App
As shown in Fig 35:

![Fig 35 Defaultapp-big](image/35.png)

## Investigation

### Search
As shown in Fig 36:

![Fig 36 Search-big](image/search.png)
